/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/* Nav Menu Essentials */
.nav-menu,
.nav-menu * {
   margin: 0;
   padding: 0;
   list-style: none;
}

.nav-menu ul {
   position: absolute;
   display: none;
   top: 100%;
   left: 0;
   z-index: 99;
}

.nav-menu li {
   position: relative;
   white-space: nowrap;
}

.nav-menu > li {
   float: left;
}

.nav-menu li:hover > ul,
.nav-menu li.sfHover > ul {
   display: block;
}

.nav-menu ul ul {
   top: 0;
   left: 100%;
}

.nav-menu ul li {
   min-width: 180px;
}

/* Nav Menu Arrows */
.sf-arrows .sf-with-ul {
   padding-right: 30px;
}

.sf-arrows .sf-with-ul:after {
   content: "\f107";
   position: absolute;
   right: 15px;
   font-family: FontAwesome;
   font-style: normal;
   font-weight: normal;
}

.sf-arrows ul .sf-with-ul:after {
   content: "\f105";
}

/* Nav Meu Container */
#nav-menu-container {
   /* float: right; */
   margin: 0 auto;
}

#nav-menu-container a {
   font-size: 20px;
}

/* Panel de información */
#nav-menu-info {
   display: block;
   /* margin: 10px 0; */
   margin-top: 10px;
}

#nav-menu-info ul {
   text-align: right;
}

#nav-menu-info ul li {
   list-style: none;
   color: grey;
   font-weight: bold;
}

#nav-menu-info ul li span {
   margin-left: 10px;
}
#nav-menu-info ul li a {
   text-decoration: none;
   font-size: 30px;
   color: var(--color-primario);
}

/* Nav Meu Styling */
.nav-menu a {
   padding: 0 8px 10px 8px;
   text-decoration: none;
   display: inline-block;
   color: var(--color-primario);
   font-family: var(--font-family);
   font-weight: 700;
   font-size: 13px;
   text-transform: uppercase;
   outline: none;
}

.nav-menu li:hover > a,
.nav-menu > .menu-active > a {
   color: var(--color-primario-hover);
}

.nav-menu > li {
   margin-left: 10px;
}

.nav-menu ul {
   margin: 4px 0 0 0;
   padding: 10px;
   box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
   background: var(--color-primario);
}

.nav-menu ul li {
   transition: 0.3s;
}

.nav-menu ul li a {
   padding: 10px;
   color: #333;
   transition: 0.3s;
   display: block;
   font-size: 13px;
   text-transform: none;
}

.nav-menu ul li:hover > a {
   color: var(--color-primario-hover);
}

.nav-menu ul ul {
   margin: 0;
}

/* Mobile Nav Toggle */
#mobile-nav-toggle {
   position: fixed;
   right: 0;
   top: 0;
   z-index: 999;
   margin: 20px 20px 0 0;
   border: 0;
   background: none;
   font-size: 24px;
   display: none;
   transition: all 0.4s;
   outline: none;
   cursor: pointer;
}

#mobile-nav-toggle i {
   color: var(--color-primario);
}

/* Mobile Nav Styling */
#mobile-nav {
   position: fixed;
   top: 0;
   padding-top: 18px;
   bottom: 0;
   z-index: 998;
   background: var(--color-background-hover);
   left: -260px;
   width: 260px;
   overflow-y: auto;
   transition: 0.4s;
}

#mobile-nav ul {
   padding: 0;
   margin: 0;
   list-style: none;
}

#mobile-nav ul li {
   position: relative;
}

#mobile-nav ul li a {
   color: var(--color-primario);
   font-size: 13px;
   text-transform: uppercase;
   overflow: hidden;
   padding: 10px 22px 10px 15px;
   position: relative;
   text-decoration: none;
   width: 100%;
   display: block;
   outline: none;
   font-weight: 700;
   font-family: var(--font-family);
}

#mobile-nav ul li a:hover {
   color: var(--color-primario-hover);
}

#mobile-nav ul li li {
   padding-left: 30px;
}

#mobile-nav ul .menu-has-children i {
   position: absolute;
   right: 0;
   z-index: 99;
   padding: 15px;
   cursor: pointer;
   color: var(--color-primario);
}

#mobile-nav ul .menu-has-children i.fa-chevron-up {
   color: var(--color-primario);
}

#mobile-nav ul .menu-has-children li a {
   text-transform: none;
}

#mobile-nav ul .menu-item-active {
   color: var(--color-primario-hover);
}

#mobile-body-overly {
   width: 100%;
   height: 100%;
   z-index: 997;
   top: 0;
   left: 0;
   position: fixed;
   background: var(--color-background-hover);
   display: none;
}

/* Mobile Nav body classes */
body.mobile-nav-active {
   overflow: hidden;
}

body.mobile-nav-active #mobile-nav {
   left: 0;
}

body.mobile-nav-active #mobile-nav-toggle {
   color: var(--color-primario);
}

@media (min-width: 1024px) {
   #nav-menu-container {
      padding-right: 60px;
   }
}

@media (max-width: 768px) {
   #nav-menu-container {
      display: none;
   }

   #nav-menu-info {
      display: none;
   }
}

@media (max-width: 768px) {
   #mobile-nav-toggle {
      display: inline;
   }
}
